# Uses of Interface
org.eclipse.jdt.debug.core.IJavaTargetPatternBreakpoint

Packages that use IJavaTargetPatternBreakpoint
Package
Description
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).

## Uses of IJavaTargetPatternBreakpoint in org.eclipse.jdt.debug.core

Methods in org.eclipse.jdt.debug.core that return IJavaTargetPatternBreakpoint
Modifier and Type
Method
Description
`static IJavaTargetPatternBreakpoint`
JDIDebugModel.`createTargetPatternBreakpoint(IResource resource, String sourceName, int lineNumber, int charStart, int charEnd, int hitCount, boolean register, Map<String,Object> attributes)`
Creates and returns a target pattern breakpoint for the given resource at the given line number.